org.apache.felix.ipojo.manipulator.store

## Interface ManifestBuilder

All Known Implementing Classes:
  DefaultManifestBuilder

    public interface ManifestBuilder

A `ManifestBuilder` is ...

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addMetada(Collection<org.apache.felix.ipojo.metadata.Element> metadatas)` Add all given metadata
`void` `addReferredPackage(Set<String> packageNames)` Add all given package names in the referred packages list
`Manifest` `build(Manifest original)` Update the given manifest.

### Method Detail

#### addReferredPackage

    void addReferredPackage(Set<String> packageNames)

Add all given package names in the referred packages list

Parameters:
  `packageNames` - additional packages

#### addMetada

    void addMetada(Collection<org.apache.felix.ipojo.metadata.Element> metadatas)

Add all given metadata

Parameters:
  `metadatas` - additional metadata

#### build

    Manifest build(Manifest original)

Update the given manifest.

Parameters:
  `original` - original manifest to be modified
Returns:
  modified manifest